function initialize {
  echo "Initialize coverage types"
  python3 manage.py coveragetype import /rgbnir_definition.json --traceback
  echo "Initializing collection '${COLLECTION}'."

  # create the product type
  python3 manage.py producttype create "LI3_X___3O" \
    --coverage-type "GRNirSwir" \
    --traceback
  
  python3 manage.py browsetype create "LI3_X___3O"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 200 \
      --blue-range 1 200 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HRG_J____3" \
    --coverage-type "GRNirSwir" \
    --traceback
  
  python3 manage.py browsetype create "HRG_J____3"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 200 \
      --blue-range 1 200 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HIR_I____3" \
    --coverage-type "GRNirSwir" \
    --traceback
  
  python3 manage.py browsetype create "HIR_I____3"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 200 \
      --blue-range 1 200 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HRV_X____3" \
    --coverage-type "NirRG" \
    --traceback
  
  python3 manage.py browsetype create "HRV_X____3"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 200 \
      --blue-range 1 200 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  

  # set up collection type
  python3 manage.py collectiontype create "DWH_MG2_CORE_FC_type" \
      --coverage-type "GRNirSwir" \
      --coverage-type "NirRG" \
      --product-type "HRV_X____3" \
      --product-type "HRG_J____3" \
      --product-type "HIR_I____3" \
      --product-type "LI3_X___3O" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DWH_MG2_CORE_FC" \
      --type "DWH_MG2_CORE_FC_type" \
      --traceback

}
# Check if collection exits in database and initialize database only if not
# on command fail restart service
id_check=$(python3 manage.py id check "${COLLECTION}")
if [[ $id_check == *"is already in use by a 'Collection'"* ]]; then
  # name is already taken
  echo "Using existing database"
elif [[ $id_check == *"is currently not in use"* ]]; then
  initialize
else
  echo "Restarting service inside init-db by emitting an error"
  set -eo pipefail
  false
fi
