function initialize {
  echo "Initialize coverage types"
  python3 manage.py coveragetype import /rgbnir_definition.json --traceback
  echo "Initializing collection '${COLLECTION}'."

  # create the product type
  python3 manage.py producttype create "MSI_IMG_3A" \
    --coverage-type "BGRReNir" \
    --traceback
  
  python3 manage.py browsetype create "MSI_IMG_3A"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 20 10000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_3A" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 20 10000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_3A" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 20 12000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_3A" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "MSI_IMG_1B" \
    --coverage-type "BGRReNir" \
    --traceback
  
  python3 manage.py browsetype create "MSI_IMG_1B"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 20 10000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_1B" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 20 10000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_1B" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 20 12000 \
      --green-range 20 10000 \
      --blue-range 20 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "MSI_IMG_1B" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "LI3_X___3O" \
    --coverage-type "GRNirSwir" \
    --traceback
  
  python3 manage.py browsetype create "LI3_X___3O"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "LI3_X___3O" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "LI3_X___1O" \
    --coverage-type "GRNirSwir" \
    --traceback
  
  python3 manage.py browsetype create "LI3_X___1O"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "LI3_X___1O" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HRG_J____3" \
    --coverage-type "NirRGSwir" \
    --traceback
  
  python3 manage.py browsetype create "HRG_J____3"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "HRG_J____3" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HIR_I____3" \
    --coverage-type "NirRGSwir" \
    --traceback
  
  python3 manage.py browsetype create "HIR_I____3"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "HIR_I____3" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HIR_I___1A" \
    --coverage-type "NirRGSwir" \
    --traceback
  
  python3 manage.py browsetype create "HIR_I___1A"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "HIR_I___1A" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "HRG_J___1A" \
    --coverage-type "NirRGSwir" \
    --traceback
  
  python3 manage.py browsetype create "HRG_J___1A"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "HRG_J___1A" "NIR_RED_GREEN" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 255 \
      --green-range 1 210 \
      --blue-range 1 210 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # set up collection type
  python3 manage.py collectiontype create "DWH_MG2_CORE_TC_type" \
      --coverage-type "BGRReNir" \
      --product-type "MSI_IMG_1B" \
      --product-type "MSI_IMG_3A" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DWH_MG2_CORE_TC" \
      --type "DWH_MG2_CORE_TC_type" \
      --traceback
  python3 manage.py collectiontype create "DWH_MG2_CORE_FC_type" \
      --coverage-type "GRNirSwir" \
      --coverage-type "NirRGSwir" \
      --product-type "LI3_X___3O" \
      --product-type "LI3_X___1O" \
      --product-type "HRG_J____3" \
      --product-type "HRG_J___1A" \
      --product-type "HIR_I____3" \
      --product-type "HIR_I___1A" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DWH_MG2_CORE_FC" \
      --type "DWH_MG2_CORE_FC_type" \
      --traceback

}
# Check if collection exits in database and initialize database only if not
# on command fail restart service
id_check=$(python3 manage.py id check "${COLLECTION}")
if [[ $id_check == *"is already in use by a 'Collection'"* ]]; then
  # name is already taken
  echo "Using existing database"
elif [[ $id_check == *"is currently not in use"* ]]; then
  initialize
else
  echo "Restarting service inside init-db by emitting an error"
  set -eo pipefail
  false
fi