function initialize {
  echo "Initialize coverage types"
  python3 manage.py coveragetype import /rgbnir_definition.json --traceback
  echo "Initializing collection '${COLLECTION}'."

  # create the product type
  python3 manage.py producttype create "DEM_Product_COP-DEM_GLO-30-DTED" \
    --coverage-type "int16_grayscale" \
    --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED"  \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED" "elevation" \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED" "hillshade" \
      --grey "hillshade(gray)" \
      --grey-range 0 255 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED" "aspect" \
      --grey "aspect(gray)" \
      --grey-range 0 360 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED" "slope" \
      --grey "slopeshade(gray, 1000)" \
      --grey-range 0 90 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DTED" "contours" \
      --grey "contours(gray, 0, 30)" \
      --grey-range 0 500 \
      --grey-nodata -9999 \
      --traceback

  # create the product type
  python3 manage.py producttype create "DEM_Product_COP-DEM_GLO-90-DTED" \
    --coverage-type "int16_grayscale" \
    --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED"  \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED" "elevation" \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED" "hillshade" \
      --grey "hillshade(gray)" \
      --grey-range 0 255 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED" "aspect" \
      --grey "aspect(gray)" \
      --grey-range 0 360 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED" "slope" \
      --grey "slopeshade(gray, 1000)" \
      --grey-range 0 90 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DTED" "contours" \
      --grey "contours(gray, 0, 30)" \
      --grey-range 0 500 \
      --grey-nodata -9999 \
      --traceback

  # create the product type
  python3 manage.py producttype create "DEM_Product_COP-DEM_GLO-30-DGED" \
    --coverage-type "float32_grayscale" \
    --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED"  \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED" "elevation" \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED" "hillshade" \
      --grey "hillshade(gray)" \
      --grey-range 0 255 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED" "aspect" \
      --grey "aspect(gray)" \
      --grey-range 0 360 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED" "slope" \
      --grey "slopeshade(gray, 1000)" \
      --grey-range 0 90 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-30-DGED" "contours" \
      --grey "contours(gray, 0, 30)" \
      --grey-range 0 500 \
      --grey-nodata -9999 \
      --traceback

  # create the product type
  python3 manage.py producttype create "DEM_Product_COP-DEM_GLO-90-DGED" \
    --coverage-type "float32_grayscale" \
    --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED"  \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED" "elevation" \
      --grey "gray" \
      --grey-range -100 4000 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED" "hillshade" \
      --grey "hillshade(gray)" \
      --grey-range 0 255 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED" "aspect" \
      --grey "aspect(gray)" \
      --grey-range 0 360 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED" "slope" \
      --grey "slopeshade(gray, 1000)" \
      --grey-range 0 90 \
      --grey-nodata -9999 \
      --traceback
  
  python3 manage.py browsetype create "DEM_Product_COP-DEM_GLO-90-DGED" "contours" \
      --grey "contours(gray, 0, 30)" \
      --grey-range 0 500 \
      --grey-nodata -9999 \
      --traceback

  # set up collection type
  python3 manage.py collectiontype create "DEM_type" \
      --coverage-type "int16_grayscale" \
      --coverage-type "float32_grayscale" \
      --product-type "DEM_Product_COP-DEM_GLO-30-DTED" \
      --product-type "DEM_Product_COP-DEM_GLO-90-DTED" \
      --product-type "DEM_Product_COP-DEM_GLO-30-DGED" \
      --product-type "DEM_Product_COP-DEM_GLO-90-DGED" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DEM" \
      --type "DEM_type" \
      --traceback
  python3 manage.py collectiontype create "DEM_COP-DEM_GLO-30-DTED_type" \
      --coverage-type "int16_grayscale" \
      --product-type "DEM_Product_COP-DEM_GLO-30-DTED" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DEM_COP-DEM_GLO-30-DTED" \
      --type "DEM_COP-DEM_GLO-30-DTED_type" \
      --traceback
  python3 manage.py collectiontype create "DEM_COP-DEM_GLO-90-DTED_type" \
      --coverage-type "int16_grayscale" \
      --product-type "DEM_Product_COP-DEM_GLO-90-DTED" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DEM_COP-DEM_GLO-90-DTED" \
      --type "DEM_COP-DEM_GLO-90-DTED_type" \
      --traceback
  python3 manage.py collectiontype create "DEM_COP-DEM_GLO-30-DGED_type" \
      --coverage-type "float32_grayscale" \
      --product-type "DEM_Product_COP-DEM_GLO-30-DGED" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DEM_COP-DEM_GLO-30-DGED" \
      --type "DEM_COP-DEM_GLO-30-DGED_type" \
      --traceback
  python3 manage.py collectiontype create "DEM_COP-DEM_GLO-90-DGED_type" \
      --coverage-type "float32_grayscale" \
      --product-type "DEM_Product_COP-DEM_GLO-90-DGED" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "DEM_COP-DEM_GLO-90-DGED" \
      --type "DEM_COP-DEM_GLO-90-DGED_type" \
      --traceback

}
# Check if collection exits in database and initialize database only if not
# on command fail restart service
id_check=$(python3 manage.py id check "${COLLECTION}")
if [[ $id_check == *"is already in use by a 'Collection'"* ]]; then
  # name is already taken
  echo "Using existing database"
elif [[ $id_check == *"is currently not in use"* ]]; then
  initialize
else
  echo "Restarting service inside init-db by emitting an error"
  set -eo pipefail
  false
fi
