function initialize {
  echo "Initialize coverage types"
  python3 manage.py coveragetype import /rgbnir_definition.json --traceback
  echo "Initializing collection '${COLLECTION}'."

  # create the product type
  python3 manage.py producttype create "Emergency_Product_CS00" \
    --coverage-type "sar_hh_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS00"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS00" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_CS01" \
    --coverage-type "sar_hh_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS01"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS01" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_CS02" \
    --coverage-type "sar_hh_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS02"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS02" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_CS03" \
    --coverage-type "sar_hh_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS03"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS03" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_CS04" \
    --coverage-type "sar_hh_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS04"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_CS04" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_DM01" \
    --coverage-type "RGNirByte" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM01"  \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM01" "TRUE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM01" "FALSE_COLOR" \
      --red "nir" \
      --green "green" \
      --blue "red" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_EQ02" \
    --coverage-type "RGB" \
    --coverage-type "BGRNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EQ02"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 500 \
      --green-range 0 600 \
      --blue-range 0 500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EQ02" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 500 \
      --green-range 0 600 \
      --blue-range 0 500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EQ02" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 700 \
      --green-range 0 500 \
      --blue-range 0 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EQ02" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_EW01" \
    --coverage-type "grayscale" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW01"  \
      --grey "gray" \
      --grey-range 0 1500 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW01" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 0 1500 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_EW02" \
    --coverage-type "RGB" \
    --coverage-type "BGRNir" \
    --coverage-type "CBGYRReNirNir2" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW02"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW02" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW02" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW02" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_EW03" \
    --coverage-type "RGB" \
    --coverage-type "BGRNir" \
    --coverage-type "CBGYRReNirNir2" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW03"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW03" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW03" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 100 700 \
      --green-range 100 600 \
      --blue-range 100 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_EW03" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_GE01" \
    --coverage-type "RGB" \
    --coverage-type "BGRNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GE01"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 600 \
      --green-range 0 700 \
      --blue-range 0 800 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GE01" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 600 \
      --green-range 0 700 \
      --blue-range 0 800 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GE01" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 1000 \
      --green-range 0 600 \
      --blue-range 0 700 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GE01" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_GY01" \
    --coverage-type "RGB" \
    --coverage-type "BGRNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GY01"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 50 600 \
      --green-range 50 600 \
      --blue-range 50 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GY01" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 50 600 \
      --green-range 50 600 \
      --blue-range 50 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GY01" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 50 800 \
      --green-range 50 600 \
      --blue-range 50 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_GY01" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_IK02" \
    --coverage-type "BGRNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_IK02"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 700 \
      --green-range 0 800 \
      --blue-range 0 900 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_IK02" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 700 \
      --green-range 0 800 \
      --blue-range 0 900 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_IK02" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 1000 \
      --green-range 0 700 \
      --blue-range 0 800 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_IK02" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_RE00" \
    --coverage-type "BGRReNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RE00"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 8000 \
      --green-range 1000 8000 \
      --blue-range 1000 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RE00" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 8000 \
      --green-range 1000 8000 \
      --blue-range 1000 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RE00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1000 8000 \
      --green-range 1000 8000 \
      --blue-range 1000 8000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RE00" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_RS02" \
    --coverage-type "sar_hh_gray" \
    --coverage-type "sar_hh_vv_gray" \
    --coverage-type "sar_hh_hv_vh_vv_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RS02"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_RS02" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SP04" \
    --coverage-type "RGBNirByte" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP04"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP04" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP04" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 255 \
      --green-range 0 255 \
      --blue-range 0 255 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP04" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SP05" \
    --coverage-type "RGNirByte" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP05"  \
      --red "red" \
      --green "green" \
      --blue "nir" \
      --red-range 0 120 \
      --green-range 0 120 \
      --blue-range 0 120 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP05" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "nir" \
      --red-range 0 120 \
      --green-range 0 120 \
      --blue-range 0 120 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_TX01" \
    --coverage-type "sar_hh_gray" \
    --coverage-type "sar_hh_vv_gray" \
    --coverage-type "sar_hh_hv_vh_vv_gray" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_TX01"  \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_TX01" "TRUE_COLOR" \
      --grey "gray" \
      --grey-range 1 65535 \
      --grey-nodata 0 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_DM02" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM02"  \
      --red "green" \
      --green "blue" \
      --blue "nir" \
      --red-range 500 10000 \
      --green-range 500 10000 \
      --blue-range 500 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM02" "TRUE_COLOR" \
      --red "green" \
      --green "blue" \
      --blue "nir" \
      --red-range 500 10000 \
      --green-range 500 10000 \
      --blue-range 500 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM02" "FALSE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 500 15000 \
      --green-range 500 10000 \
      --blue-range 500 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_DM02" "NDVI" \
      --grey "(red-green)/(red+green)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_KS03" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_KS03"  \
      --red "nir" \
      --green "green" \
      --blue "red" \
      --red-range 1000 10000 \
      --green-range 1000 8000 \
      --blue-range 1000 12000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_KS03" "TRUE_COLOR" \
      --red "nir" \
      --green "green" \
      --blue "red" \
      --red-range 1000 10000 \
      --green-range 1000 8000 \
      --blue-range 1000 12000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_KS03" "FALSE_COLOR" \
      --red "blue" \
      --green "nir" \
      --blue "green" \
      --red-range 1000 10000 \
      --green-range 1000 10000 \
      --blue-range 1000 8000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_KS03" "NDVI" \
      --grey "(blue-nir)/(blue+nir)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SP06" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP06"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 1000 \
      --green-range 100 1000 \
      --blue-range 100 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP06" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 1000 \
      --green-range 100 1000 \
      --blue-range 100 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP06" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1000 1200 \
      --green-range 1000 1000 \
      --blue-range 1000 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP06" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SP07" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP07"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 900 \
      --green-range 0 900 \
      --blue-range 0 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP07" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 0 900 \
      --green-range 0 900 \
      --blue-range 0 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP07" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 0 1200 \
      --green-range 0 900 \
      --blue-range 0 900 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SP07" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_PH1A" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1A"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1A" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1A" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1A" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_PH1B" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1B"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1B" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1B" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PH1B" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SK00" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SK00"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 600 \
      --green-range 1 600 \
      --blue-range 1 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SK00" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 600 \
      --green-range 1 600 \
      --blue-range 1 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SK00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 600 \
      --green-range 1 600 \
      --blue-range 1 600 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SK00" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_SW03" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SW03"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 1000 \
      --green-range 1 1000 \
      --blue-range 1 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SW03" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 1000 \
      --green-range 1 1000 \
      --blue-range 1 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SW03" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 1000 \
      --green-range 1 1000 \
      --blue-range 1 1000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_SW03" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback

  # create the product type
  python3 manage.py producttype create "Emergency_Product_PL00" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PL00"  \
      --red "blue" \
      --green "green" \
      --blue "red" \
      --red-range 1500 15000 \
      --green-range 1500 15000 \
      --blue-range 1500 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PL00" "TRUE_COLOR" \
      --red "blue" \
      --green "green" \
      --blue "red" \
      --red-range 1500 15000 \
      --green-range 1500 15000 \
      --blue-range 1500 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PL00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1500 20000 \
      --green-range 1500 15000 \
      --blue-range 1500 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "Emergency_Product_PL00" "NDVI" \
      --grey "(nir-blue)/(nir+blue)" \
      --grey-range -1 1 \
      --traceback

  # set up collection type
  python3 manage.py collectiontype create "Emergency_type" \
      --coverage-type "RGBNir" \
      --coverage-type "RGNirByte" \
      --coverage-type "RGBNirByte" \
      --coverage-type "RGB" \
      --coverage-type "grayscale" \
      --coverage-type "CBGYRReNirNir2" \
      --coverage-type "BGRReNir" \
      --coverage-type "sar_hh_gray" \
      --coverage-type "sar_hh_vv_gray" \
      --coverage-type "sar_hh_hv_vh_vv_gray" \
      --product-type "Emergency_Product_CS00" \
      --product-type "Emergency_Product_CS01" \
      --product-type "Emergency_Product_CS02" \
      --product-type "Emergency_Product_CS03" \
      --product-type "Emergency_Product_CS04" \
      --product-type "Emergency_Product_DM01" \
      --product-type "Emergency_Product_DM02" \
      --product-type "Emergency_Product_EQ02" \
      --product-type "Emergency_Product_EW01" \
      --product-type "Emergency_Product_EW02" \
      --product-type "Emergency_Product_EW03" \
      --product-type "Emergency_Product_GE01" \
      --product-type "Emergency_Product_GY01" \
      --product-type "Emergency_Product_IK02" \
      --product-type "Emergency_Product_KS03" \
      --product-type "Emergency_Product_PH1A" \
      --product-type "Emergency_Product_PH1B" \
      --product-type "Emergency_Product_RE00" \
      --product-type "Emergency_Product_RS02" \
      --product-type "Emergency_Product_SP04" \
      --product-type "Emergency_Product_SP05" \
      --product-type "Emergency_Product_SP06" \
      --product-type "Emergency_Product_SP07" \
      --product-type "Emergency_Product_SK00" \
      --product-type "Emergency_Product_SW03" \
      --product-type "Emergency_Product_PL00" \
      --product-type "Emergency_Product_TX01" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "Emergency" \
      --type "Emergency_type" \
      --traceback

}
# Check if collection exits in database and initialize database only if not
# on command fail restart service
id_check=$(python3 manage.py id check "${COLLECTION}")
if [[ $id_check == *"is already in use by a 'Collection'"* ]]; then
  # name is already taken
  echo "Using existing database"
elif [[ $id_check == *"is currently not in use"* ]]; then
  initialize
else
  echo "Restarting service inside init-db by emitting an error"
  set -eo pipefail
  false
fi