function initialize {
  echo "Initialize coverage types"
  python3 manage.py coveragetype import /rgbnir_definition.json --traceback
  echo "Initializing collection '${COLLECTION}'."

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_PL00" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PL00"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 15000 \
      --green-range 1000 15000 \
      --blue-range 1000 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PL00" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 15000 \
      --green-range 1000 15000 \
      --blue-range 1000 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PL00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1000 15000 \
      --green-range 1000 15000 \
      --blue-range 1000 15000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PL00" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_PL00" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_DM02" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_DM02"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 250 11500 \
      --green-range 600 10000 \
      --blue-range 1300 8500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_DM02" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 250 11500 \
      --green-range 600 10000 \
      --blue-range 1300 8500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_DM02" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 400 28000 \
      --green-range 250 11500 \
      --blue-range 600 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_DM02" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_DM02" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_KS03" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS03"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS03" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS03" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS03" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_KS03" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_KS04" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS04"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS04" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS04" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 10000 \
      --green-range 1 10000 \
      --blue-range 1 10000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_KS04" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_KS04" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_PH1A" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1A"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1A" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1A" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1A" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_PH1A" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_PH1B" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1B"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1B" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1B" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 2000 \
      --green-range 1 2000 \
      --blue-range 1 2000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_PH1B" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_PH1B" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_SP06" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP06"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP06" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP06" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP06" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_SP06" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_SP07" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP07"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP07" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP07" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1000 20000 \
      --green-range 1000 20000 \
      --blue-range 1000 20000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SP07" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_SP07" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_SW00" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SW00"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 1500 \
      --green-range 100 1500 \
      --blue-range 100 1500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SW00" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 100 1500 \
      --green-range 100 1500 \
      --blue-range 100 1500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SW00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 100 1500 \
      --green-range 100 1500 \
      --blue-range 100 1500 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_SW00" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_SW00" "validity" \
      --validity \
      --traceback

  # create the product type
  python3 manage.py producttype create "VHR_IMAGE_2018_Product_TR00" \
    --coverage-type "RGBNir" \
    --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_TR00"  \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 3000 \
      --green-range 1 3000 \
      --blue-range 1 3000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_TR00" "TRUE_COLOR" \
      --red "red" \
      --green "green" \
      --blue "blue" \
      --red-range 1 3000 \
      --green-range 1 3000 \
      --blue-range 1 3000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_TR00" "FALSE_COLOR" \
      --red "nir" \
      --green "red" \
      --blue "green" \
      --red-range 1 3000 \
      --green-range 1 3000 \
      --blue-range 1 3000 \
      --red-nodata 0 \
      --green-nodata 0 \
      --blue-nodata 0 \
      --traceback
  
  python3 manage.py browsetype create "VHR_IMAGE_2018_Product_TR00" "NDVI" \
      --grey "(nir-red)/(nir+red)" \
      --grey-range -1 1 \
      --traceback
  # create mask type
  python3 manage.py masktype create "VHR_IMAGE_2018_Product_TR00" "validity" \
      --validity \
      --traceback

  # set up collection type
  python3 manage.py collectiontype create "VHR_IMAGE_2018_type" \
      --coverage-type "RGBNir" \
      --product-type "VHR_IMAGE_2018_Product_PL00" \
      --product-type "VHR_IMAGE_2018_Product_DM02" \
      --product-type "VHR_IMAGE_2018_Product_KS03" \
      --product-type "VHR_IMAGE_2018_Product_KS04" \
      --product-type "VHR_IMAGE_2018_Product_PH1A" \
      --product-type "VHR_IMAGE_2018_Product_PH1B" \
      --product-type "VHR_IMAGE_2018_Product_SP06" \
      --product-type "VHR_IMAGE_2018_Product_SP07" \
      --product-type "VHR_IMAGE_2018_Product_SW00" \
      --product-type "VHR_IMAGE_2018_Product_TR00" \
      --traceback

  # Instantiate a collection for the collection itself and all levels
  python3 manage.py collection create "VHR_IMAGE_2018" \
      --type "VHR_IMAGE_2018_type" \
      --traceback
  python3 manage.py collection create "VHR_IMAGE_2018_Level_1" \
      --type "VHR_IMAGE_2018_type" \
      --traceback
  python3 manage.py collection create "VHR_IMAGE_2018_Level_3" \
      --type "VHR_IMAGE_2018_type" \
      --traceback

}
# Check if collection exits in database and initialize database only if not
# on command fail restart service
id_check=$(python3 manage.py id check "${COLLECTION}")
if [[ $id_check == *"is already in use by a 'Collection'"* ]]; then
  # name is already taken
  echo "Using existing database"
elif [[ $id_check == *"is currently not in use"* ]]; then
  initialize
else
  echo "Restarting service inside init-db by emitting an error"
  set -eo pipefail
  false
fi
