import logging
import redis

from .harvester import main

logger = logging.getLogger(__name__)


def run_daemon(config: dict, host: str, port: str, listen_queue: str):
    """ Run the harvester daemon, listening on a redis queue
        for harvest jobs.
    """
    # initialize the queue client
    client = redis.Redis(
        host=host, port=port, charset="utf-8", decode_responses=True
    )
    logger.debug("waiting for redis queue '%s'..." % listen_queue)

    while True:
        # fetch an item from the queue to be harvested
        _, value = client.brpop(listen_queue) # first param which queue ther result came from
        # start the harvesting
        try:
            main(config, value, client)
        except Exception as e:
            logger.exception(e)

